//
//  VideoViewController.m
//  new_info
//
//  Created by beifeng on 12/31/11.
//  Copyright (c) 2011 __MyCompanyName__. All rights reserved.
//

#import "VideoViewController.h"
#import "VideoListViewController.h"

NSURL *glob_url;
@implementation VideoViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView
{
}
*/


// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad
{
    [super viewDidLoad];
    self.navigationController.navigationBarHidden =NO;
    [self.navigationController.navigationBar setBackgroundImage:[UIImage imageNamed:@"title.png"] forBarMetrics:UIBarMetricsDefault];
    self.navigationItem.title =@"视频中心";
    
    //adv show
    UIImage *img = [UIImage imageNamed:@"banner.jpg"];
    CGRect rect = CGRectMake(0, 0, 320, 79);
    
    UIImageView *imageView = [[UIImageView alloc]init];
    imageView.frame = rect;
    imageView.image = img;
    
    [self.view addSubview:imageView];
    
    //category list
    //first category
    
    UIButton *categoryButton = [[UIButton alloc]init];
    //define custom type.
    categoryButton = [UIButton buttonWithType:UIButtonTypeCustom];
    // CGRect rectButton = CGRectMake(0, 79, 320, 70);
    // categoryButton.frame = rectButton;
    categoryButton.frame = CGRectMake(0, 79, 320, 70);
    [categoryButton setTitle:@"热点视频" forState:UIControlStateNormal];
    [categoryButton setTitleColor:[UIColor blackColor] forState:UIControlStateNormal];
    [categoryButton setBackgroundImage:[UIImage imageNamed:@"即时新闻背景.jpg"] forState:UIControlStateNormal];
    [categoryButton addTarget:self action:@selector(customRdspAction) forControlEvents:UIControlEventTouchUpInside];
    
    [self.view addSubview:categoryButton];
    
    UIView *gjxwView = [[UIView alloc]initWithFrame:CGRectMake(50, 100, 50, 30)];    
    UIImageView *gjxwImageView = [[UIImageView alloc]initWithImage:[UIImage imageNamed:@"gjxw.png"]];
    
    [gjxwView addSubview:gjxwImageView];
    
    [self.view addSubview:gjxwView];
    
    //second category
    
    UIButton *category2Button = [[UIButton alloc]init];
    //define custom type.
    category2Button = [UIButton buttonWithType:UIButtonTypeCustom];
    // CGRect rectButton = CGRectMake(0, 79, 320, 70);
    // categoryButton.frame = rectButton;
    categoryButton.backgroundColor = [UIColor redColor];
    category2Button.frame = CGRectMake(0, 148, 320, 70);
    [category2Button setTitle:@"体育视频" forState:UIControlStateNormal];
    [category2Button setTitleColor:[UIColor blackColor] forState:UIControlStateNormal];
    [category2Button setBackgroundImage:[UIImage imageNamed:@"即时新闻背景.jpg"] forState:UIControlStateNormal];
    [category2Button addTarget:self action:@selector(customTyspAction) forControlEvents:UIControlEventTouchUpInside];
    
    [self.view addSubview:category2Button];
    
    UIView *gnxwView = [[UIView alloc]initWithFrame:CGRectMake(50, 165, 50, 30)];    
    UIImageView *gnxwImageView = [[UIImageView alloc]initWithImage:[UIImage imageNamed:@"gnxw.png"]];
    
    [gnxwView addSubview:gnxwImageView];
    
    [self.view addSubview:gnxwView];
    
    //third category
    
    UIButton *category3Button = [[UIButton alloc]init];
    //define custom type.
    category3Button = [UIButton buttonWithType:UIButtonTypeCustom];
    // CGRect rectButton = CGRectMake(0, 79, 320, 70);
    // categoryButton.frame = rectButton;
    category3Button.backgroundColor = [UIColor redColor];
    category3Button.frame = CGRectMake(0, 217, 320, 70);
    [category3Button setTitle:@"娱乐视频" forState:UIControlStateNormal];
    [category3Button setTitleColor:[UIColor blackColor] forState:UIControlStateNormal];
    [category3Button setBackgroundImage:[UIImage imageNamed:@"即时新闻背景.jpg"] forState:UIControlStateNormal];
    [category3Button addTarget:self action:@selector(customYlspAction) forControlEvents:UIControlEventTouchUpInside];
    
    [self.view addSubview:category3Button];
    
    UIView *jsywView = [[UIView alloc]initWithFrame:CGRectMake(50, 243, 50, 30)];    
    UIImageView *jsywImageView = [[UIImageView alloc]initWithImage:[UIImage imageNamed:@"jsxw.png"]];
    
    [jsywView addSubview:jsywImageView];
    
    [self.view addSubview:jsywView];    
    
    
    
}
//rdsp
-(void)customRdspAction{
    NSLog(@"customRdspAction......");
    VideoListViewController *gjxw = [[[VideoListViewController alloc]init]autorelease];
    gjxw.url = [NSURL URLWithString:@"http://202.84.17.51/smartnews/list/hotvideo.xml"];
    glob_url = gjxw.url;
    [self.navigationController pushViewController:gjxw animated:YES];
}
//tysp
-(void)customTyspAction{
 NSLog(@"customTyspAction......");
    VideoListViewController *gjxw = [[[VideoListViewController alloc]init]autorelease];
    gjxw.url = [NSURL URLWithString:@"http://202.84.17.51/smartnews/list/sportsvideo.xml"];
    glob_url = gjxw.url;
    [self.navigationController pushViewController:gjxw animated:YES];
    
}
//ylsp
-(void)customYlspAction{
 NSLog(@"customYlspAction......");
    VideoListViewController *gjxw = [[[VideoListViewController alloc]init]autorelease];
    gjxw.url = [NSURL URLWithString:@"http://202.84.17.51/smartnews/list/entvideo.xml"];
    glob_url = gjxw.url;
    [self.navigationController pushViewController:gjxw animated:YES];

}



- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

@end
